### Overview

Theme region wrapper module provides UI to specify HTML element for each active
theme's region. You can configure each wrapper element, CSS classes and
WAI-ARIA role on a theme settings page.

#### Motivation

The core views module can change field HTML output with provided UI,
and some contribution modules such as [Fences](https://www.drupal.org/project/fences), [Block Class](https://www.drupal.org/project/block_class) and so on,
also can change HTML output with module provided UI. When you want to change
a theme region's wrapper HTML, however cannot change with UI,
so need to rewrite the `page.html.twig` or `region.html.twig`.

#### NOTE

This module **overrides only a region template which is located in core directory**.
If a region uses twig template which is located in custom theme directory,
configured settings for that region does not override anything.

### Features

Theme's each region can configure following list items from UI
on theme settings page.

- HTML element
- CSS classes
- WAI-ARIA role
